<?php

namespace App\Models;

class PropertyChannelBookingPaymentSetup extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_channel_booking_payment_setup';
    protected $appends = ['cancellationPolicyArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */

    public function getCancellationPolicyArrayAttribute()
    {
        if (!is_null($this->cancellation_policy)) {
            return json_decode($this->cancellation_policy, 1);
        } else {
            return null;
        }
    }

    public function paymentType()
    {
        return $this->hasOne("App\Models\PropertyBookingPaymentType",   'id', 'payment_type_id')->select(['id', 'name', 'language_key', 'code', 'status']);
    }
}
